/*****************************************************************************
 * Project: BaBar detector at the SLAC PEP-II B-factory
 * Package: AFit
 *    File: $Id: AFitHelicity.cc,v 1.5 2005/07/03 23:04:22 bevan Exp $
 * Authors:
 *    A Bevan (a.j.bevan@qmul.ac.uk)
 *
 * Copyright (C) 2008 QMUL
 *****************************************************************************/

// -- CLASS DESCRIPTION [AFit] --
// This class builds a single Sigmoid distribution.

#include "AFit/AFitHelicity.hh"
#include "AFit/AFitHelicityPdf.hh"
#ifdef __BABARROOFIT__
// RooFit includes
#else
// RooFit includes
#endif

ClassImp(AFitHelicity)
  ;

AFitHelicity::AFitHelicity(RooAbsReal& x, TString name)
  : _typeStrVar(name+"_type", "sinsqr or cossqr helicity distribution", "xsqr")
 {
  // Constructor
  _name = name;

  _x = &x;

  varSet.addOwned( _typeStrVar );

  readDataCard();
}

void AFitHelicity::buildPdf() {
  Bool_t xsqr = kTRUE;
  if(TString(_typeStrVar.getVal()).Contains("1-xsqr")) xsqr = kFALSE;
  _thePdf = new AFitHelicityPdf(_name, "Helicity PDF", *_x, xsqr);
}

