void MuonLifetime() {
  cout << "MuonLifetime.cc ..................." << endl;
  AFitMaster master("AFit/example/MuonLifetime.txt");
  RooAbsPdf * pdf = master.getPdf();

  RooArgSet * compSet = pdf->getComponents();
  RooArgSet * parSet  = pdf->getParameters(compSet);
  parSet.Print("v");

  RooRealVar * t = (RooRealVar*)parSet->find("t");

  RooDataSet * data = RooDataSet::read("AFit/example/MuonLifetime.dat", RooArgSet(*t), "q");
  data.Print("v");


  pdf->fitTo(*data, "etm");
  t.SetTitle("t (#mus)");

  RooPlot * frame = t->frame();
  data.plotOn(frame);
  pdf.plotOn(frame);

  frame.SetTitle("");
  frame.Draw();
  c1.SetLogy();
  c1.Print("AFit/example/MuonLifetime.eps");
}

